## qtdeclarative-opensource-src 5.4.1

=== debian/changelog ===
qtdeclarative-opensource-src (5.4.1-1ubuntu5) vivid; urgency=medium

  * debian/patches/Protect-the-RegExp-against-early-garbage-collection.patch
    - Fix a potential random crasher with a fix from upstream (LP: #1443981)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 15 Apr 2015 07:19:34 +0000

qtdeclarative-opensource-src (5.4.1-1ubuntu4) vivid; urgency=medium

  * debian/patches/Always-remove-reply-from-replies-when-processing-can.patch:
    - Fix a crash when switching scopes (LP: #1431798)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 20 Mar 2015 13:26:18 +0000

qtdeclarative-opensource-src (5.4.1-1ubuntu3) vivid; urgency=medium

  * New upstream release.
  * Drop patches, fixed upstream:
    - Support-RFC2822Date-date-format-similar-to-V8.patch
  * Merge with Debian 5.4.1-1, bringing better private symbols marking
    (LP: #1426314)
  * debian/patches/Fix-crash-in-overdraw-and-change-visualizers.patch:
    - Fix a potential crasher (LP: #1430337)
  * debian/patches/High-dpi-SVG-and-QQuickImageProvider-Images.patch:
    - Fix scaling of source size if devicepixelratio is set

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 10:56:54 +0000

qtdeclarative-opensource-src (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch to use https://download.qt.io/.
  * Bump Qt build-dependencies to 5.4.1.
  * Pass -V to dh_makeshlibs, to make dpkg generate more tight
    dependencies (like done in qtbase).
  * Fix a typo in libqt5quickparticles5 description (closes: #771570,
    thanks Davide Prina for noticing).
  * debian/mark_private_symbols.sh:
    - Strip out trailing colon from symbols names.
    - Unmark private symbols before processing them (copied from
      Lisandro's change in qtbase).
  * Update symbols files:
    - Mark destructors symbols missing with GCC 5 as optional
      (closes: #778087).
    - Update debian/libqt5quick5.symbols for 5.4.1 symbols changes.
    - Bump ABI version to 5-4-1 because there is a removed symbol.
    - Apply the changes from mark_private_symbols.sh update.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Feb 2015 17:44:03 +0300

qtdeclarative-opensource-src (5.4.0-5) experimental; urgency=medium

  * Add check_system_double-conversion.patch to use the system's library
    (Closes: #778644).
    - Build depend upon libdouble-conversion-dev.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 18 Feb 2015 16:52:44 -0300

qtdeclarative-opensource-src (5.4.0-4ubuntu2) vivid; urgency=medium

  * debian/patches/QML-Compilation-unit-caching-and-JIT-changes.patch:
    - [regression] Re-enable the opt-in QML cache patch (LP: #1418060)
  * Update symbols from build logs.
  * Don't run unit tests on 32-bit powerpc, those fail more often 
    than not. Other archs not affected.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 24 Feb 2015 14:01:39 +0000

qtdeclarative-opensource-src (5.4.0-4ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Switch to using xvfb-run for tests
  * Bump dependencies
  * Drop patches:
    - freebsd_registers.diff
    - Avoid-race-condition-in-QQmlEngine-on-shutdown.patch
    - Fix-crashes-when-calling-Array.sort-with-imperfect-s.patch
  * Update symbols and mark private ones
  * Sync with Debian 5.4.0-4
    - Keep gles packages support, transitional packages, tests enablement 
      and additional patches
  * debian/patches/Fix-regression-where-QQuickScreenAttached-overwrites.patch:
    - Fix orientation not working (LP: #1418370)
  * debian/patches/QML-Compilation-unit-caching-and-JIT-changes.patch:
    - Comment out, needs rebasing.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 06:17:15 +0000

qtdeclarative-opensource-src (5.4.0-4) experimental; urgency=medium

  * Update symbols files with buildds’ logs.
  * Enable qml-module-qtqml-statemachine package.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 Dec 2014 21:11:05 +0300

qtdeclarative-opensource-src (5.4.0-3) experimental; urgency=medium

  * Update symbols files with buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 22 Dec 2014 19:14:35 +0300

qtdeclarative-opensource-src (5.4.0-2) experimental; urgency=medium

  * Update symbols files with buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 18 Dec 2014 11:14:59 +0300

qtdeclarative-opensource-src (5.4.0-1) experimental; urgency=medium

  [ Timo Jyrinki ]
  * New upstream release
  * Bump build dependencies to 5.4.0
  * Add a new package qml-module-qtqml-statemachine
  * Update .install files
  * Bump ABI version to 5.4.0

  [ Dmitry Shachnev ]
  * Drop freebsd_registers.diff, no longer needed.
  * Update debian/copyright.
  * Update Vcs-Browser field to point to cgit interface.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Temporary disable building new qml-module-qtqml-statemachine package
    to avoid blocking uploads of other Qt parts.
  * Add myself to Uploaders.
  * Drop no longer needed debian/source/lintian-overrides.
  * Update symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 17 Dec 2014 19:43:00 +0300

qtdeclarative-opensource-src (5.3.2-3ubuntu3) vivid; urgency=medium

  [ Ricardo Mendoza ]
  * debian/patches/QML-Compilation-unit-caching-and-JIT-changes.patch
    - Implement QV4 JIT cache to reduce application startup speed by
      removing unnecessary compiler/assembler runs. This can be enabled
      by exporting QV4_ENABLE_JIT_CACHE=1.

  [ Timo Jyrinki ]
  * Update symbols

 -- Ricardo Mendoza <ricardo.mendoza@canonical.com>  Tue, 03 Feb 2015 14:51:20 +0100

qtdeclarative-opensource-src (5.3.2-3ubuntu2) vivid; urgency=medium

  * debian/patches/Avoid-race-condition-in-QQmlEngine-on-shutdown.patch
    - Cherry-pick an app shutdown crash fix (LP: #1373039)
  * debian/patches/Fix-crashes-when-calling-Array.sort-with-imperfect-s.patch
    - Cherry-pick a fix for a crasher in Array.sort (LP: #1295119)


