## qtdeclarative-opensource-src 5.4.2

=== debian/changelog ===
qtdeclarative-opensource-src (5.4.2-1ubuntu6) wily; urgency=medium

  * debian/patches/Fix-memory-leak-when-QQuickPixmapReply-Event-is-dele.patch
    debian/patches/Fix-memory-leak-when-using-async-image-providers.patch:
    - Fix memory leaks (LP: #1484914)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 01 Sep 2015 12:02:43 +0000

qtdeclarative-opensource-src (5.4.2-1ubuntu5) wily; urgency=medium

  * debian/patches/Don-t-change-the-currentItem-after-a-viewport-resize.patch:
    - Fix ListView's currentIndex changing when view is resized (LP: #1433442)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 13 Aug 2015 12:30:49 +0300

qtdeclarative-opensource-src (5.4.2-1ubuntu4) wily; urgency=medium

  * Rebuild for GCC5 transition.
  * Update symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 17 Jul 2015 08:31:49 +0300

qtdeclarative-opensource-src (5.4.2-1ubuntu3) wily; urgency=medium
 
   * debian/patches/Fix-implicitHeight-for-Text-items-bindings-dependent.patch:
     - Fix character overlapping (LP: #1468403)
 
 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 16 Jul 2015 12:24:04 +0000

qtdeclarative-opensource-src (5.4.2-1ubuntu2) wily; urgency=medium

  * debian/patches/Add-QQuickAsyncImageProvider.patch:
    - Fix segfault by importing https://codereview.qt-project.org/#/c/115522/
      and https://codereview.qt-project.org/#/c/120638/
      (LP: #1469611)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 08 Jul 2015 05:20:41 +0000

qtdeclarative-opensource-src (5.4.2-1ubuntu1) wily; urgency=medium

  * New upstream release.
  * Drop patches merged upstream:
    - Fix-regression-where-QQuickScreenAttached-overwrites.patch
    - Fix-crash-in-overdraw-and-change-visualizers.patch
    - Protect-the-RegExp-against-early-garbage-collection.patch
  * Refresh Add-QQuickAsyncImageProvider.patch to apply
  * Skip a few pixmapcache tests that fail on half of the builders

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jun 2015 05:01:53 +0000

qtdeclarative-opensource-src (5.4.2-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Update debian/libqt5quick5.symbols for arm64.
  * Remove all ia64-specific symbols from debian/libqt5qml5.symbols.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release (Closes: #778257, #778359).
    - Bump Qt build dependencies.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * Expose HTML documentation in /usr/share/doc (Closes: #751176).
  * Make libqt5qml5 recommend libgl1-mesa-glx to get QML stuff properly
    rendered (Closes: #779581).
  * Use pkgkde-mark-private-symbols from pkg-kde-tools 0.15.17.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 02 Jun 2015 17:29:00 -0300

qtdeclarative-opensource-src (5.4.1-1ubuntu7) vivid; urgency=medium

  * debian/patches/Add-QQuickAsyncImageProvider.patch:
    - Backport QQuickAsyncImageProvider (LP: #1439263) (LP: #1425043)
  * debian/patches/Always-remove-reply-from-replies-when-processing-can.patch:
    - Drop, replaced by the new patch.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 28 Apr 2015 08:50:56 +0000

qtdeclarative-opensource-src (5.4.1-1ubuntu6) vivid; urgency=medium

  * debian/patches/Make-sure-we-stop-animators-if-they-are-yet-to-be-st.patch
    - Pick from upstream (LP: #1441822)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 20 Apr 2015 08:39:58 +0000
