=== debian/control ===
--- 
+++ 
@@ -3,9 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           Sune Vuorela <debian@pusling.com>,
+Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
@@ -13,10 +11,10 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                libdouble-conversion-dev,
-               libqt5xmlpatterns5-private-dev (>= 5.4.1~),
-               pkg-kde-tools (>= 0.15.12~),
+               libqt5xmlpatterns5-private-dev (>= 5.4.2~),
+               pkg-kde-tools (>= 0.15.17~),
                python,
-               qtbase5-private-dev (>= 5.4.1+dfsg~),
+               qtbase5-private-dev (>= 5.4.2+dfsg~),
                xauth,
                xvfb
 Standards-Version: 3.9.6
@@ -299,3 +297,6 @@
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
+ This QML module contains types for creating top-level windows and
+ accessing screen information.
+
