=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 override_dh_makeshlibs:
 	dh_makeshlibs
 	# Check for private symbols not marked as such. Be verbose.
-	DEBUG=1 debian/mark_private_symbols.sh
+	pkgkde-mark-private-symbols debian/qtdeclarative5-private-dev/usr/include
 
 override_dh_auto_test:
 	cp -a src/imports/qtquick2/qmldir qml/QtQuick.2
