## qtdeclarative-opensource-src 5.5.1

=== debian/changelog ===
qtdeclarative-opensource-src (5.5.1-2ubuntu6) xenial; urgency=medium

  * debian/patches/Fix-crash-in-hasAtlasTexture.patch:
    - Backport patch from Qt 5.6 (LP: #1563320)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 12 Apr 2016 10:44:18 +0000

qtdeclarative-opensource-src (5.5.1-2ubuntu5) xenial; urgency=medium

  * Update symbols from build logs.
  * QQuickItemView-forceLayout-Also-call-layout-when-d-f.patch:
    - Backport patch from Qt 5.7 to call forceLayout more often (LP: #1556842)
  * debian/patches/qml-preserve-composite-singleton-types.patch:
    - Fix broken qml type description files (LP: #1541346)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 01 Feb 2016 14:39:12 +0000

qtdeclarative-opensource-src (5.5.1-2ubuntu4) xenial; urgency=medium

  * debian/patches/Add-isTabFence-private-flag.patch:
    - Tab should not leave dialog/popover/menu (LP: #1526208)
  * debian/patches/QQuickItem-fix-an-infinite-loop-nextItemInFocusChain.patch
    debian/patches/QQuickItem-fix-another-infinite-loop-in-nextItemInFo.patch:
    - Refine the previous patch (LP: #1526208)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Sat, 30 Jan 2016 14:06:58 +0000

qtdeclarative-opensource-src (5.5.1-2ubuntu3) xenial; urgency=medium

  * debian/patches/Flickable-avoid-perturbing-the-timeline-further-whil.patch:
    - Avoid infinite velocity during release, after a drag. (LP: #1521917)
  * debian/patches/MultiPointTouchArea-Fixed-released-duplication-on-mo.patch:
    - Fix every key being pressed twice on desktop (LP: #1451554)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 14 Dec 2015 07:02:00 +0000

qtdeclarative-opensource-src (5.5.1-2ubuntu2) xenial; urgency=high

  * Fix symbols for s390x.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 09 Dec 2015 13:14:34 +0000

qtdeclarative-opensource-src (5.5.1-2ubuntu1) xenial; urgency=medium

  * New upstream release. (LP: #1502883)
  * Remove patches no longer needed:
    - debian/patches/High-dpi-SVG-and-QQuickImageProvider-Images.patch
    - debian/patches/aarch64.patch
    - debian/patches/check_system_double-conversion.patch
    - debian/patches/ppc64el.patch
  * Rebase patches:
    - debian/patches/Add-QQuickAsyncImageProvider.patch
    - debian/patches/disable_failing_tests.patch
    - debian/patches/QML-Compilation-unit-caching-and-JIT-changes.patch
      (LP: #1437320)
  * Drop upstreamed patches:
    - debian/patches/Fix-memory-leak-when-QQuickPixmapReply-Event-is-dele.patch
  * Update .install files.
  * Skip tests also on ppc64el, they are flaky.
  * Update symbols and mark/unmark private ones.
  * Bump ABI version to 5-5-0.
  * Bump build dependencies.
  * Build dep on libqt5xcbqpa5 to be able to run the tests under xvfb.
  * Update Vcs url:s to Debian git.
  * Add qmlplugindump-Don-t-try-to-import-Qt.test.qtestroot.patch
    (LP: #1473976)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 01 Dec 2015 08:12:31 +0000

qtdeclarative-opensource-src (5.5.1-2) experimental; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 17 Oct 2015 09:14:01 -0300

qtdeclarative-opensource-src (5.5.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Update symbols files with buildds' logs.
  * Update symbols files with current build log.
  * Do not ship empty directories.
  * Add two lintian overrides for examples/quick/canvas/tiger/tiger.js. It is
    not a minified javascript and is the preferred source of modification.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 16 Oct 2015 16:04:03 -0300

qtdeclarative-opensource-src (5.5.0-2) experimental; urgency=medium

  * Update symbols files with buildds’ logs.
  * Symlink duplicate private headers in QtQml and QtQmlDevTools directories.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 22 Aug 2015 11:38:09 +0300

qtdeclarative-opensource-src (5.5.0-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.5.0.
  * Drop avoid_calling_potentially_pure-virtual_method.patch, applied upstream.
  * Refresh check_system_double-conversion.patch.
  * Update debian/copyright for the new version.
  * Update symbols file for 5.5.0. There are some missing non-private symbols,
    but they are not exposed in public APIs.
  * Bump ABI version to 5-5-0.
  * Mark new private symbols.

  [ Timo Jyrinki ]
  * Update .install files.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 15 Aug 2015 17:05:06 +0300

qtdeclarative-opensource-src (5.4.2-6) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 06 Aug 2015 12:13:38 -0300

qtdeclarative-opensource-src (5.4.2-5) unstable; urgency=medium

  * Update symbols files with current build log against gcc5.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 05 Aug 2015 18:17:46 -0300

qtdeclarative-opensource-src (5.4.2-4) unstable; urgency=medium

  * Backport avoid_calling_potentially_pure-virtual_method.patch to avoid
    crashes. Thanks Diane for the hint!
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 24 Jul 2015 14:08:32 -0300

qtdeclarative-opensource-src (5.4.2-3) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Jun 2015 16:05:25 -0300

qtdeclarative-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Jun 2015 10:40:41 -0300

qtdeclarative-opensource-src (5.4.2-1ubuntu7) xenial; urgency=medium

  * debian/patches/Don-t-make-currentIndex-skip-an-extra-item-on-remova.patch:
    - Fix jumping several scopes on unstarring (LP: #1508260)

