=== debian/control ===
--- 
+++ 
@@ -11,20 +11,19 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                libdouble-conversion-dev,
-               libqt5xmlpatterns5-private-dev (>= 5.4.2~),
+               libqt5xmlpatterns5-private-dev (>= 5.5.1~),
                pkg-kde-tools (>= 0.15.17~),
                python,
-               qtbase5-private-dev (>= 5.4.2+dfsg~),
+               qtbase5-private-dev (>= 5.5.1+dfsg~),
                xauth,
                xvfb
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtdeclarative.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtdeclarative.git;a=summary
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtdeclarative-opensource-src
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtdeclarative.git
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-4-1
+Provides: qtdeclarative-abi-5-5-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -300,3 +299,7 @@
  This QML module contains types for creating top-level windows and
  accessing screen information.
 
+Package: qtdeclarative5-xmllistmodel-plugin
+Architecture: any
+Multi-Arch: same
+Section: oldlibs
