=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+PRIVATE_HEADERS = debian/qtdeclarative5-private-dev/usr/include/$(DEB_HOST_MULTIARCH)/qt5
 
 export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
@@ -12,7 +13,7 @@
 export QT_SELECT := qt5
 
 # Skip tests on the archs they are known to be flaky with current configuration
-testskip_architectures := powerpc
+testskip_architectures := powerpc ppc64el
 
 %:
 	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtdeclarative5-dbg
@@ -51,7 +52,21 @@
 	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_html_docs
 
 override_dh_install:
+	# Remove empty directories.
+	find $(CURDIR)/debian/tmp -type d -empty -delete
+	# Install stuff.
 	dh_install --fail-missing
+
+override_dh_link:
+	dh_link
+	@VERSION=$$(ls $(PRIVATE_HEADERS)/QtQml); \
+	set -e; for h in $$(ls $(PRIVATE_HEADERS)/QtQmlDevTools/$$VERSION/QtQmlDevTools/private/); do \
+		if [ -f $(PRIVATE_HEADERS)/QtQml/$$VERSION/QtQml/private/$$h ]; then \
+			echo "Symlinking QtQmlDevTools/private/$$h -> QtQml/private/$$h"; \
+			ln -sf ../../../../QtQml/$$VERSION/QtQml/private/$$h \
+				$(PRIVATE_HEADERS)/QtQmlDevTools/$$VERSION/QtQmlDevTools/private/$$h; \
+		fi; \
+	done
 
 override_dh_makeshlibs:
 	dh_makeshlibs
@@ -70,6 +85,6 @@
 	cp -a src/imports/testlib/testlogger.js qml/QtTest
 ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testskip_architectures)))
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	xvfb-run -a -s "-screen 0 1024x768x24" dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib QML2_IMPORT_PATH=$(CURDIR)/qml
+	xvfb-run -a -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib QML2_IMPORT_PATH=$(CURDIR)/qml
 endif
 endif
