## qtdeclarative-opensource-src 5.6.1

=== debian/changelog ===
qtdeclarative-opensource-src (5.6.1-7ubuntu2~1) yakkety; urgency=medium

  * debian/patches/Revert-Remove-this-piece-of-code.patch:
    - Cherry-pick from Qt 5.6.2 (LP: #1613670)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 26 Sep 2016 13:13:20 +0000

qtdeclarative-opensource-src (5.6.1-7ubuntu1~2) yakkety; urgency=medium

  * debian/patches/Fix-visibility-of-properties-in-value-types.patch:
    - Fix compare() in QML (LP: #1610349)
  * Update symbols. 
  * debian/patches/Fix-V4-on-big-endian.patch:
    - Fixes value/tag reads on 32-bit big-endian and offsets on 64-bit.
      (LP: #1606927)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 22 Aug 2016 13:31:32 +0000

qtdeclarative-opensource-src (5.6.1-7) unstable; urgency=medium

  * Update libqt5qml5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 30 Aug 2016 14:00:17 +0300

qtdeclarative-opensource-src (5.6.1-6) unstable; urgency=medium

  * Backport upstream change to fix crashes when compiled with GCC 6
    (no_lifetime_dse.diff; see QTBUG-55482).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 29 Aug 2016 21:30:47 +0300

qtdeclarative-opensource-src (5.6.1-5) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with buildds' logs (Closes: #830817).

  [ Maximiliano Curia ]
  * Add new patch: fix_engine_64bits_big_endian.diff

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 19 Jul 2016 12:09:46 -0300

qtdeclarative-opensource-src (5.6.1-4ubuntu2) yakkety; urgency=medium

  * debian/patches/Flickable-fix-minXExtent-minYExtent-when-content-is-.patch:
    - Fix flickable's widthRatio and heightRatio (LP: #1588238)
  * debian/patches/QQuickWindow-Fill-out-timestamps-in-QHoverEvents-sen.patch:
    - Fix relative mouse events (LP: #1597205)
    - debian/libqt5quick5.symbols: Update symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 27 Jul 2016 12:11:13 +0000

qtdeclarative-opensource-src (5.6.1-4ubuntu1~4) yakkety; urgency=medium

  * Merge with Debian.
  * Update symbols.
  * Drop backported upstream patches now included:
    - Add-QQuickAsyncImageProvider.patch
    - Add-isTabFence-private-flag.patch
    - Don-t-change-the-currentItem-after-a-viewport-resize.patch
    - Don-t-make-currentIndex-skip-an-extra-item-on-remova.patch
    - Fix-memory-leak-when-using-async-image-providers.patch
    - Flickable-avoid-perturbing-the-timeline-further-whil.patch
    - Image-fix-crash-when-switching-between-multiple-scre.patch
    - Make-sure-we-stop-animators-if-they-are-yet-to-be-st.patch
    - MultiPointTouchArea-Fixed-released-duplication-on-mo.patch
    - QQuickItem-fix-an-infinite-loop-nextItemInFocusChain.patch
    - WIP-QQuickItem-fix-another-infinite-loop-in-nextItem.patch
    - qmlplugindump-Don-t-try-to-import-Qt.test.qtestroot.patch
  * Refresh QML cache and test binary location patches to apply.
  * Modify QML cache patch to Qt 5.6 and 5.6.1 changes. (LP: #1556824)
  * Mark private symbols.
  * Update for Qt 5.6.1:
    - Drop debian/patches/Fix-crash-in-hasAtlasTexture.patch now in upstream.
  * Add build dep on libqt5opengl5-dev to execute a test successfully
  * debian/patches/V4-Always-set-the-tag-when-boxing-a-pointer-in-QV4-V.patch
    debian/patches/Fix-QQmlEngine-crash-on-big-endian-64-bit-architectu.patch:
    - Fix a crasher affecting s390x (LP: #1567481) (LP: #1572496) (LP: #1567776)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 26 Jan 2016 10:07:50 +0000

qtdeclarative-opensource-src (5.6.1-4) unstable; urgency=medium

  * Backport qml_only_release_types_if_they_arent_referenced_anymore.patch,
    it solves a nasty crash.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 16 Jun 2016 10:45:18 -0300

qtdeclarative-opensource-src (5.6.1-3) unstable; urgency=medium

  * Update symbols files with buildd's logs so hurd can also be part of the
    transition.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 14 Jun 2016 11:26:47 -0300

qtdeclarative-opensource-src (5.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 09:51:07 -0300

qtdeclarative-opensource-src (5.6.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Update symbols files with buildds' and current build log.
  * Mark private symbols as such.
  * Update Standards-Version to 3.9.8, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 09 Jun 2016 18:12:03 -0300

qtdeclarative-opensource-src (5.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop the no longer needed hack to fix wrong path in pkgconfig files.
  * No longer need to remove empty directories, qdoc 5.6 does not create them.
  * Revert debian/watch to track final releases again.
  * Update symbols files from buildds’ logs.
  * Bump Qt build-dependencies to 5.6.0.
  * Update debian/source/lintian-overrides to include more JavaScript files
    which Lintian wrongly considers sourceless and prebuilt.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 18 Mar 2016 17:04:55 +0100

qtdeclarative-opensource-src (5.6.0~rc-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release candidate.
  * Drop qml-model-qtqml-models2 transitional package. It has already been
    transitional in jessie (and wheezy-backports).
  * Bump Qt build-dependencies to 5.6.0~rc.
  * Use recommended https URIs for Vcs fields.
  * Update symbols files from buildds’ and current build logs.
  * Bump Standards-Version to 3.9.7, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add qt5-qmltooling-plugins as a qtdeclarative5-dev dependency, it is
    required by the CMake scripts (Closes: #812893).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Mar 2016 16:41:54 +0300


