=== debian/control ===
--- 
+++ 
@@ -11,23 +11,28 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                libdouble-conversion-dev,
-               libqt5xmlpatterns5-private-dev (>= 5.5.1~),
+               libqt5opengl5-dev (>= 5.6.1~),
+               libqt5xmlpatterns5-dev (>= 5.6.1~),
                pkg-kde-tools (>= 0.15.17~),
                python,
-               qtbase5-private-dev (>= 5.5.1+dfsg~),
+               qtbase5-private-dev (>= 5.6.1+dfsg~),
                xauth,
                xvfb
-Standards-Version: 3.9.6
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1+dfsg~),
+                     qtbase5-doc-html (>= 5.6.1+dfsg~),
+                     qttools5-dev-tools (>= 5.6.0~)
+Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtdeclarative.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtdeclarative.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtdeclarative.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtdeclarative.git
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-5-0
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: qtdeclarative-abi-5-6-0
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: qt5-qmltooling-plugins
 Description: Qt 5 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -85,6 +90,19 @@
  .
  This package contains the Qt Quick Widgets library for QtDeclarative module.
 
+Package: qt5-qmltooling-plugins
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libqt5qml5 (<< 5.6.0~beta~)
+Replaces: libqt5qml5 (<< 5.6.0~beta~)
+Description: Qt 5 qmltooling plugins
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the qmltooling plugins.
+
 Package: qtdeclarative5-folderlistmodel-plugin
 Architecture: any
 Multi-Arch: same
@@ -168,16 +186,6 @@
  .
  The State Machine QML module.
 
-Package: qml-model-qtqml-models2
-Architecture: all
-Section: oldlibs
-Depends: qml-module-qtqml-models2, ${misc:Depends}
-Description: transitional dummy package for qml-module-qtqml-models2
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package which can be safely removed.
-
 Package: qtdeclarative5-particles-plugin
 Architecture: any
 Multi-Arch: same
@@ -294,12 +302,3 @@
 Replaces: qtdeclarative5-window-plugin (<< 5.2.1-5~)
 Description: Qt 5 window 2 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This QML module contains types for creating top-level windows and
- accessing screen information.
-
-Package: qtdeclarative5-xmllistmodel-plugin
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
